
/**
 * Used for log printing in a non-production environment
 * @param args
 */
export function consoleLog(...args: Parameters<typeof console.log>) {
  if (import.meta.env.VITE_ENV !== 'production' && import.meta.env.VITE_ENV !== 'subsystem') {
    window.console.log.apply(null, args)
  }
}

export function consoleWarn(...args: Parameters<typeof console.warn>) {
  if (import.meta.env.VITE_ENV !== 'production' && import.meta.env.VITE_ENV !== 'subsystem') {
    console.warn.apply(null, args)
  }
}

export function consoleError(...args: Parameters<typeof console.error>) {
  if (import.meta.env.VITE_ENV !== 'production' && import.meta.env.VITE_ENV !== 'subsystem') {
    console.error.apply(null, args)
  }
}

export function testEnvLog(...args: Parameters<typeof console.log>) {
  if (import.meta.env.VITE_ENV !== 'production' && import.meta.env.VITE_ENV !== 'subsystem') {
    console.log.apply(null, args)
  }
}